Bug 1295064 - winswitch uses outdated ssh kex exchange methods
winswitch uses outdated ssh kex exchange methods
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: winswitch (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jonathan Underwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-01 11:33 EST by Pavel Alexeev
Modified: 2016-12-20 12:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:32:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2016-01-01 11:33:17 EST
Description of problem:
I've try setup new winswitch server on Fedora and connect to them.

But connection from GUI client fails without any details.

On server i see in /var/log/secure:
Jan  1 16:14:26 digitalocean sshd[4315]: fatal: Unable to negotiate with 178.130.41.238: no matching key exchange method found. Their offer: diffie-hellman-group-exchange-sha1,diffie-hellman-group1-sha1 [preauth]

After add (https://bbs.archlinux.org/viewtopic.php?pid=1521264#p1521264) into /etc/ssh/sshd_config:
KexAlgorithms curve25519-sha256@libssh.org,ecdh-sha2-nistp256,ecdh-sha2-nistp384,ecdh-sha2-nistp521,diffie-hellman-group-exchange-sha256,diffie-hellman-group14-sha1,diffie-hellman-group-exchange-sha1,diffie-hellman-group1-sha1

I got (after some timeout) another error:
Jan  1 16:19:18 digitalocean sshd[4345]: error: Hm, kex protocol error: type 30 seq 1 [preauth]
Jan  1 16:27:48 digitalocean sshd[4350]: Connection closed by 52.24.186.120 [preauth]

I also found that blog post https://blog.nytsoi.net/2015/07/13/putty-kex-error and it seams relative. Possible winswitch tries connect with old pre-RFC4419 group exchange message.

Version-Release number of selected component (if applicable):
$ rpm -q winswitch
winswitch-0.12.21-17.fc23.noarch

On server:
# rpm -q openssh
openssh-7.1p1-6.fc23.x86_64

How reproducible:
Always
Comment 1 Jonathan Underwood 2016-04-06 08:38:32 EDT
This seems to be this:

https://winswitch.org/trac/ticket/270

https://winswitch.org/trac/ticket/285
Comment 2 Fedora End Of Life 2016-11-24 09:38:36 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 12:32:15 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.